-- keycardOS "bootloader", has no access to basalt
-- intended for checking for updates, and automatically updating basalt if it is missing
local utils = require("utils.lua")
local updater = require("updater.lua")


local main = {}


KEYPADOS_VERSION = "3.0"

function main.Main()
    utils.MonReset(0.5)
    updater.GetBasalt()
    utils.MonPrint("keypadOS v" .. KEYPADOS_VERSION)
    utils.MonReset(1)
    require("ui.lua").InitUi()
end


return main

